Tag: eclipse

Facebook SDK + SlidingMenu SDK = Jar Mismatch! Beheben Sie Ihre Abhängigkeiten

Also habe ich das Facebook SDK und das SlidingMenu SDK in mein Android Projekt aufgenommen, aber ich bekomme diese bösen "Jar Mismatch" Fehler. Ich habe bereits die Datei android-support-v4.jar aus meinem libs- Ordner entfernt, aber der Fehler bleibt bestehen. Irgendwelche Ideen, wie man das beheben kann? (Ich habe auch versucht, löschen Sie die Dateien aus […]

ADT-Plugin wird in Eclipse nicht angezeigt

Ich habe die Anleitung hier für die Installation von ADT verfolgt, aber ich sehe kein Zeichen von ADT in Eclipse, außer dass es installiert ist. Nach dem, was es hier sagt, sollte ich zusätzliche Projektvorlagen haben, die fehlen. Siehe die Screenshots:

Importieren von Gradle-Projekt, Android-Fehler

Ich versuche, ein libgdx-Projekt (Desktop, ios und Android) auf Eclipse auf meinem Mac zu importieren, was ich in meinem lokalen Git-Repository habe. Wenn ich versuche, mein Projekt in Eclipse zu importieren (Import >> Gradle >> Gradle Project, und dann meinen Root-Ordner für das ganze libgdx-Projekt hinzufügen), versuche ich, "Build Model", aber dann bekomme ich einen […]

Kann Eclipse-Projekt nicht ausführen – kann keine API-Datenbank finden

Mein Code kompiliert. Es gibt keine Fehler in Code. Ich habe das volle SDK heruntergeladen. Auf laufen bekomme ich diesen Fehler: Can't find API database; API check not performed Und es ist in Location: Zeile 1, geben Sie Android Lint Problem. Ich habe keine Ahnung, was falsch ist

Unfähig, Superklasse von Landroid / support / v4 / app / FragmentActivity zu lösen

Ich habe ein Projekt, das eine WelcomeActivity die FragmentActivity . Ich benutze die Support-Bibliothek, also ist android-support-v4.jar im libs Ordner. Wenn ich diese App laufe, gibt es keine Probleme. Allerdings möchte ich ActionBarSherlock zum Projekt hinzufügen. Im ABS-Projekt verwende ich actionbarsherlock-plugin-maps-4.1.0.jar und android-support-v4-r6-googlemaps.jar im libs Ordner. In meinem App-Projekt füge ich die ABS-Bibliothek hinzu, und […]

Android.os.NetworkOnMainThreadException für Webservice (ksoap)

Ich bin neu für Android-Programmierung und versuchen, Webservice in diesem Beispielprogramm verwenden: Ich benutze Android 4.1 und meine IDE ist Eclipse Juno. Ich denke, die Programmierung Teil ist in Ordnung, aber vielleicht gibt es ein Problem über die Verbindung. package com.example.webserviceexample; import java.io.IOException; import org.ksoap2.SoapEnvelope; import org.ksoap2.SoapFault; import org.ksoap2.serialization.SoapObject; import org.ksoap2.serialization.SoapPrimitive; import org.ksoap2.serialization.SoapSerializationEnvelope; import org.ksoap2.transport.HttpTransportSE; […]

Speichern von Logcat zu einer Textdatei im Android Device

Ich hatte einige Abstürze beim Ausführen der Anwendung im Android-Gerät gefunden, die nicht im Emulator angezeigt wird. Also muss ich den Logcat in einer Textdatei im Speicher des Gerätes oder auf der SD-Karte speichern. Könnten Sie mir bitte eine gute Methode vorschlagen, dies zu tun?

Eclipse und Android-Fehler 'parseSdkContent failed'

Nachdem ich dieses Problem seit dem Upgrade der Android Tools auf 21.1. Wenn ich Eklipse anfange, auch in einem sauberen Arbeitsbereich, bekomme ich den Fehler parseSdkContent failed und die Details sagen: com.android.sdklib.devices.DeviceManager.createInstance (Ljava/lang/String;Lcom/android/utils/ILogger;) Lcom/android/sdklib/devices/DeviceManager; Ich habe das Internet durchsucht und fast jede Lösung probiert, aber ohne Erfolg. Wenn ich auf Android-Vorlieben gehe und versuche, den […]

Wo sind die Drawables oder Cliparts von android.R.drawable gespeichert?

Ich integriere ActionBarSherlock in meiner App und ich möchte einige Menüs mit einigen Items und den entsprechenden Icons haben. Ich habe in Proben und Dokumentation gesucht, und alles scheint klar zu sein, aber wenn ich das Menü aufblase, kann ich nur den Text sehen, denn es gibt noch keine Icons zu jedem Element. Ich möchte […]

Adt eclipse bundle 02-07-2014 UPDATE

Haben das neueste Bündel von der Android-Entwickler-Website zur Verfügung gestellt. Alles ist in Ordnung, aber wenn ich versuche und das Adt-Plugin herunterzuladen, gibt es diesen Fehler: Beim Installieren von Software ist ein Fehler aufgetreten Details: An error occurred while collecting items to be installed session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=). No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.adt.feature,23.0.2.1259578 […]

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.